> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cost Sheet Versions

> List all versions for a cost sheet, newest first.



## OpenAPI

````yaml /api/openapi-cutmake.json get /costings/{costing_id}/versions
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /costings/{costing_id}/versions:
    get:
      tags:
        - Costing Management
      summary: Get Cost Sheet Versions
      description: List all versions for a cost sheet, newest first.
      operationId: get_cost_sheet_versions_costings__costing_id__versions_get
      parameters:
        - name: costing_id
          in: path
          required: true
          schema:
            type: string
            description: The costing document ID (e.g., CS-2024-001)
            title: Costing Id
          description: The costing document ID (e.g., CS-2024-001)
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CostSheetVersionMetadata'
                title: >-
                  Response Get Cost Sheet Versions Costings  Costing Id 
                  Versions Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    CostSheetVersionMetadata:
      properties:
        versionNumber:
          anyOf:
            - type: integer
            - type: 'null'
          title: Versionnumber
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        createdBy:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdby
        changeDescription:
          anyOf:
            - type: string
            - type: 'null'
          title: Changedescription
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        isFinal:
          type: boolean
          title: Isfinal
          default: false
        finalizedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finalizedat
        finalizedById:
          anyOf:
            - type: string
            - type: 'null'
          title: Finalizedbyid
        stageKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Stagekey
        stageLabel:
          anyOf:
            - type: string
            - type: 'null'
          title: Stagelabel
      type: object
      required:
        - versionNumber
        - createdDate
        - createdBy
        - changeDescription
        - status
      title: CostSheetVersionMetadata
      description: Version metadata used for listing and comparison
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````